#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libnice
Version		:	0.1.16
Release		:	17.2.0.rel%{?dist}
Summary		:	GLib ICE implementation
Group		:	Applications/Multimedia

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://gitlab.freedesktop.org/libnice/libnice/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	glib-devel
BuildRequires	:	gstreamer
BuildRequires	:	gtk-doc
#-----------------------------------------------------------------------------
%description
'%{name}' is an implementation of the IETF's draft Interactive
Connectivity Establishment standard (ICE). ICE is useful for
applications that want to establish peer-to-peer UDP data streams. It
automates the process of traversing NATs and provides security against
some attacks. Existing standards that use ICE include the Session
Initiation Protocol (SIP) and Jingle, XMPP extension for audio/video
calls.

#-----------------------------------------------------------------------------
%prep
%setup 

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--libexecdir %{_libexecdir}			\
	--disable-gtk-doc				\
	--with-package-name=%{gstname}			\
	--with-package-origin=%{gstorig}		\
	

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}
%{__make}						\
	DESTDIR="%{buildroot}"				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/stunbdc
%{_bindir}/stund
%{_includedir}/nice/*.h
%{_includedir}/stun/*.h
%{_includedir}/stun/usages/*.h
%{_libdir}/gstreamer-1.0/libgstnice.so
%{_libdir}/%{name}.so*
%{_libdir}/pkgconfig/nice.pc
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/gir-1.0/*.gir
%{_datadir}/gtk-doc/html/%{name}/*.{html,png}
%{_datadir}/gtk-doc/html/%{name}/*.devhelp2
%{_datadir}/gtk-doc/html/%{name}/style.css

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
